<template>
    <div class="container">
        <div class="row">
            <div class="col col-xl-8 col-lg-8 col-md-12 col-sm-12 col-12">

                <div class="ui-block mb60">


                    <!-- Single Post -->

                    <article class="hentry blog-post single-post single-post-v3">

                        <h1 class="post-title">{{challenge.title}}</h1>

                        <a href="#" class="post-category bg-primary">Digital</a>


                        <div class="post-milestone-progress">
                            <div class="post-milestone-progress">
                                <ul class="progress-stage-wrapper clearfix">
                                    <li class="progress-stage-item"
                                        :class="challenge.is_valid_challenge?'in-progress':'completed'">
                                        <div class="icon icon-lightbulb">
                                            <div class="style-empty">
                                                <svg viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;"
                                                     xml:space="preserve">
											<g>
												<path class="st0" d="M196.3,136.5c-14.1,0-25.6,11.5-25.6,25.6c0,14.1,11.5,25.6,25.6,25.6h25.6v-25.6
													C221.9,148,210.4,136.5,196.3,136.5z"/>
                                                <path class="st0"
                                                      d="M239,486.4c0,4.7,3.8,8.5,8.5,8.5h17.1c4.7,0,8.5-3.8,8.5-8.5v-8.5H239V486.4z"/>
                                                <path class="st0" d="M341.3,162.1c0-14.1-11.5-25.6-25.6-25.6c-14.1,0-25.6,11.5-25.6,25.6v25.6h25.6
													C329.8,187.7,341.3,176.2,341.3,162.1z"/>
                                                <path class="st1" d="M272.9,202.8h2v2v119.5c0.2,3.7,3.1,6.5,6.7,6.5c3.6,0,6.5-2.9,6.5-6.5V204.8v-2h2h25.6
													c22.4,0,40.7-18.3,40.7-40.7c0-22.4-18.3-40.7-40.7-40.7S275,139.7,275,162.1v25.6v2h-2h-34.1h-2v-2v-25.6
													c0-22.4-18.3-40.7-40.7-40.7c-22.4,0-40.7,18.3-40.7,40.7c0,22.4,18.3,40.7,40.7,40.7h25.6h2v2v119.5c0,3.6,2.9,6.5,6.5,6.5
													c3.6,0,6.5-2.9,6.5-6.5V204.8v-2h2H272.9z M288.1,187.7v-25.6c0-15.2,12.4-27.6,27.6-27.6s27.6,12.4,27.6,27.6
													s-12.4,27.6-27.6,27.6h-25.6h-2V187.7z M223.9,187.7v2h-2h-25.6c-15.2,0-27.6-12.4-27.6-27.6s12.4-27.6,27.6-27.6
													s27.6,12.4,27.6,27.6V187.7z"/>
                                                <path class="st1" d="M62.2,16.7l32.7,27.4c1.2,1,2.7,1.5,4.2,1.5c2,0,3.8-0.8,4.9-2.2c1.2-1.4,1.7-3.1,1.5-4.9
													c-0.2-1.7-1-3.2-2.3-4.3L70.6,6.6c-1.2-1-2.7-1.5-4.2-1.5c-1.9,0-3.7,0.8-4.9,2.3C59.1,10.1,59.4,14.3,62.2,16.7z"/>
                                                <path class="st1" d="M65.7,94.5l-40-14.6c-0.7-0.3-1.4-0.4-2.2-0.4c-2.7,0-5.2,1.7-6.1,4.3c-0.6,1.6-0.5,3.4,0.2,5
													c0.7,1.6,2,2.8,3.7,3.4l40,14.6c0.8,0.2,1.5,0.4,2.3,0.4c2.7,0,5.2-1.8,6.1-4.3c0.6-1.6,0.5-3.4-0.2-5
													C68.7,96.3,67.4,95.1,65.7,94.5z"/>
                                                <path class="st1" d="M407.8,43.1L407.8,43.1c1.3,1.6,3.2,2.5,5.1,2.5c1.5,0,3-0.6,4.2-1.6l32.6-27.5c1.3-1.1,2.2-2.7,2.3-4.4
													c0.1-1.7-0.4-3.4-1.5-4.7c-1.3-1.5-3.1-2.4-5-2.4c-1.5,0-3,0.5-4.2,1.5l-32.7,27.4c-1.3,1.1-2.2,2.7-2.3,4.4
													C406.1,40.1,406.7,41.8,407.8,43.1L407.8,43.1z"/>
                                                <path class="st1" d="M57.7,170.7c0-3.6-2.9-6.5-6.5-6.5H8.5c-3.6,0-6.5,2.9-6.5,6.5s2.9,6.5,6.5,6.5h42.7
													C54.8,177.2,57.7,174.3,57.7,170.7z"/>
                                                <path class="st1" d="M494.5,88.8c0.7-1.6,0.8-3.3,0.2-5c-0.9-2.6-3.4-4.3-6.1-4.3c-0.7,0-1.5,0.1-2.2,0.4l-40.1,14.6
													c-3.4,1.2-5.1,5-3.9,8.3c1,2.6,3.4,4.3,6.1,4.3c0.7,0,1.5-0.1,2.2-0.4l40.1-14.6C492.4,91.5,493.7,90.3,494.5,88.8z"/>
                                                <path class="st1" d="M424.7,170.1c0-22.6-4.5-44.5-13.3-65.2c-8.5-20-20.7-38-36.2-53.5c-15.5-15.5-33.6-27.6-53.6-36.1
													C300.8,6.5,278.7,2,256,2C163,2,87.3,77.7,87.3,170.7c0,71.3,28,124.5,88,167.5l0.2,0.1c0.1,0.1,0.3,0.2,0.4,0.2l0.1,0l0.1,0.1
													c0.1,0.1,10.4,5.4,13,21.3l0.3,1.6l-1.5,0.6c-9.1,3.5-15.2,12.4-15.2,22c0,5.8,2.1,11.3,6,15.8l1.2,1.3l-1.2,1.3
													c-3.9,4.2-6,9.8-6,15.8c0,5.8,2.1,11.3,6,15.8l1.2,1.3l-1.2,1.3c-3.9,4.2-6,9.8-6,15.8c0,13,10.6,23.6,23.6,23.6
													c3.6,0,6.5-2.9,6.5-6.5c0-3.6-2.9-6.5-6.5-6.5c-5.8,0-10.5-4.7-10.5-10.5s4.7-10.5,10.5-10.5h85.3c3.6,0,6.5-2.9,6.5-6.5
													c0-3.6-2.9-6.5-6.5-6.5h-85.3c-5.8,0-10.5-4.7-10.5-10.5s4.7-10.5,10.5-10.5h85.3c3.6,0,6.5-2.9,6.5-6.5c0-3.6-2.9-6.5-6.5-6.5
													h-85.3c-5.8,0-10.5-4.7-10.5-10.5c0-5.8,4.7-10.5,10.5-10.5h85.3c3.6,0,6.5-2.9,6.5-6.5c0-3.6-2.9-6.5-6.5-6.5h-77.4h-1.7
													l-0.2-1.7c-2.9-20.9-16.7-29.8-19.4-31.3l-0.1-0.1l-0.1-0.1c-56.9-40.7-82.2-89-82.2-156.5c0-41.8,16.3-81.1,45.7-110.6
													c29.4-29.5,68.5-45.7,110-45.7c85.8,0,155.6,69.8,155.6,155.6c0,67.5-25.4,115.8-82.2,156.5l-0.1,0.1l-0.1,0
													c-4.7,2.8-20,13.8-20,39.6c0,3.6,2.9,6.5,6.5,6.5c5.8,0,10.5,4.7,10.5,10.5s-4.7,10.5-10.5,10.5c-3.6,0-6.5,2.9-6.5,6.5
													c0,3.6,2.9,6.5,6.5,6.5c5.8,0,10.5,4.7,10.5,10.5s-4.7,10.5-10.5,10.5c-3.6,0-6.5,2.9-6.5,6.5c0,3.6,2.9,6.5,6.5,6.5
													c5.8,0,10.5,4.7,10.5,10.5c0,6-4.5,10.5-10.5,10.5h-85.3c-3.6,0-6.5,2.9-6.5,6.5V486c0,13,10.6,23.6,23.6,23.6h17.1
													c13,0,23.6-10.6,23.6-23.6v-8.5v-2h2h25.6c13.2,0,23.6-10.4,23.6-23.6c0-5.8-2.1-11.3-6-15.8l-1.2-1.3l1.2-1.3
													c3.9-4.2,6-9.8,6-15.8c0-5.8-2.1-11.3-6-15.8l-1.2-1.3l1.2-1.3c3.9-4.2,6-9.8,6-15.8c0-9.7-6.1-18.5-15.2-22l-1.5-0.6l0.3-1.6
													c2.2-13.7,10.3-19.6,12.7-21.1l0.1-0.1l0.1-0.1c0.2-0.1,0.5-0.3,0.6-0.3l0.1-0.1l0.1-0.1C396.7,294.7,424.7,241.5,424.7,170.1z
													 M275.1,477.9v8.5c0,5.8-4.7,10.5-10.5,10.5h-17.1c-5.8,0-10.5-4.7-10.5-10.5v-8.5v-2h2h34.1h2V477.9z"/>
                                                <path class="st1" d="M503.5,164.1h-42.7c-3.6,0-6.5,2.9-6.5,6.5s2.9,6.5,6.5,6.5h42.7c3.6,0,6.5-2.9,6.5-6.5
													S507.1,164.1,503.5,164.1z"/>
											</g>
										</svg>
                                            </div>
                                            <div class="style-filled">
                                                <svg viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;"
                                                     xml:space="preserve">
										<path class="st0" d="M93.3,144.9c0,0,15.3-123.3,163.7-136.7c0,0,125-5.3,160.3,142c0,0,25.3,105.2-92,190.7c0,0-13.2,20-8.6,24.7
											s30.6,8.7,6.6,32c0,0,21.3,20-0.7,35.3c0,0,26,30-9.3,40h-123c0,0-20.3-24.7-4.9-36.7c0,0-19.3-18.7,1.3-36c0,0-20.1-26,10.6-36
											c0,0-1.3-22-25.6-39.3C171.7,324.9,81.3,271.5,93.3,144.9z"/>
                                                    <g>
												<path class="st0"
                                                      d="M237,485.7c0,6.2,4.2,11.2,9.5,11.2h19.1c5.3,0,9.5-5,9.5-11.2v-11.2H237V485.7z"/>
                                                        <path class="st1" d="M272.9,202.8h2v2v119.5c0.2,3.7,3.1,6.5,6.7,6.5c3.6,0,6.5-2.9,6.5-6.5V204.8v-2h2h25.6
													c22.4,0,40.7-18.3,40.7-40.7c0-22.4-18.3-40.7-40.7-40.7S275,139.7,275,162.1v25.6v2h-2h-34.1h-2v-2v-25.6
													c0-22.4-18.3-40.7-40.7-40.7c-22.4,0-40.7,18.3-40.7,40.7c0,22.4,18.3,40.7,40.7,40.7h25.6h2v2v119.5c0,3.6,2.9,6.5,6.5,6.5
													c3.6,0,6.5-2.9,6.5-6.5V204.8v-2h2H272.9z M288.1,187.7v-25.6c0-15.2,12.4-27.6,27.6-27.6s27.6,12.4,27.6,27.6
													s-12.4,27.6-27.6,27.6h-25.6h-2V187.7z M223.9,187.7v2h-2h-25.6c-15.2,0-27.6-12.4-27.6-27.6s12.4-27.6,27.6-27.6
													s27.6,12.4,27.6,27.6V187.7z"/>
                                                        <path class="st0" d="M62.2,16.7l32.7,27.4c1.2,1,2.7,1.5,4.2,1.5c2,0,3.8-0.8,4.9-2.2c1.2-1.4,1.7-3.1,1.5-4.9
													c-0.2-1.7-1-3.2-2.3-4.3L70.6,6.6c-1.2-1-2.7-1.5-4.2-1.5c-1.9,0-3.7,0.8-4.9,2.3C59.1,10.1,59.4,14.3,62.2,16.7z"/>
                                                        <path class="st0" d="M65.7,94.5l-40-14.6c-0.7-0.3-1.4-0.4-2.2-0.4c-2.7,0-5.2,1.7-6.1,4.3c-0.6,1.6-0.5,3.4,0.2,5
													c0.7,1.6,2,2.8,3.7,3.4l40,14.6c0.8,0.2,1.5,0.4,2.3,0.4c2.7,0,5.2-1.8,6.1-4.3c0.6-1.6,0.5-3.4-0.2-5
													C68.7,96.3,67.4,95.1,65.7,94.5z"/>
                                                        <path class="st0" d="M407.8,43.1L407.8,43.1c1.3,1.6,3.2,2.5,5.1,2.5c1.5,0,3-0.6,4.2-1.6l32.6-27.5c1.3-1.1,2.2-2.7,2.3-4.4
													c0.1-1.7-0.4-3.4-1.5-4.7c-1.3-1.5-3.1-2.4-5-2.4c-1.5,0-3,0.5-4.2,1.5l-32.7,27.4c-1.3,1.1-2.2,2.7-2.3,4.4
													C406.1,40.1,406.7,41.8,407.8,43.1L407.8,43.1z"/>
                                                        <path class="st0" d="M57.7,170.7c0-3.6-2.9-6.5-6.5-6.5H8.5c-3.6,0-6.5,2.9-6.5,6.5s2.9,6.5,6.5,6.5h42.7
													C54.8,177.2,57.7,174.3,57.7,170.7z"/>
                                                        <path class="st0" d="M494.5,88.8c0.7-1.6,0.8-3.3,0.2-5c-0.9-2.6-3.4-4.3-6.1-4.3c-0.7,0-1.5,0.1-2.2,0.4l-40.1,14.6
													c-3.4,1.2-5.1,5-3.9,8.3c1,2.6,3.4,4.3,6.1,4.3c0.7,0,1.5-0.1,2.2-0.4l40.1-14.6C492.4,91.5,493.7,90.3,494.5,88.8z"/>
                                                        <path class="st1" d="M424.7,170.1c0-22.6-4.5-44.5-13.3-65.2c-8.5-20-20.7-38-36.2-53.5c-15.5-15.5-33.6-27.6-53.6-36.1
													C300.8,6.5,278.7,2,256,2C163,2,87.3,77.7,87.3,170.7c0,71.3,28,124.5,88,167.5l0.2,0.1c0.1,0.1,0.3,0.2,0.4,0.2l0.1,0l0.1,0.1
													c0.1,0.1,10.4,5.4,13,21.3l0.3,1.6l-1.5,0.6c-9.1,3.5-15.2,12.4-15.2,22c0,5.8,2.1,11.3,6,15.8l1.2,1.3l-1.2,1.3
													c-3.9,4.2-6,9.8-6,15.8c0,5.8,2.1,11.3,6,15.8l1.2,1.3l-1.2,1.3c-3.9,4.2-6,9.8-6,15.8c0,13,10.6,23.6,23.6,23.6
													c3.6,0,6.5-2.9,6.5-6.5c0-3.6-2.9-6.5-6.5-6.5c-5.8,0-10.5-4.7-10.5-10.5s4.7-10.5,10.5-10.5h85.3c3.6,0,6.5-2.9,6.5-6.5
													c0-3.6-2.9-6.5-6.5-6.5h-85.3c-5.8,0-10.5-4.7-10.5-10.5s4.7-10.5,10.5-10.5h85.3c3.6,0,6.5-2.9,6.5-6.5c0-3.6-2.9-6.5-6.5-6.5
													h-85.3c-5.8,0-10.5-4.7-10.5-10.5c0-5.8,4.7-10.5,10.5-10.5h85.3c3.6,0,6.5-2.9,6.5-6.5c0-3.6-2.9-6.5-6.5-6.5h-77.4h-1.7
													l-0.2-1.7c-2.9-20.9-16.7-29.8-19.4-31.3l-0.1-0.1l-0.1-0.1c-56.9-40.7-82.2-89-82.2-156.5c0-41.8,16.3-81.1,45.7-110.6
													c29.4-29.5,68.5-45.7,110-45.7c85.8,0,155.6,69.8,155.6,155.6c0,67.5-25.4,115.8-82.2,156.5l-0.1,0.1l-0.1,0
													c-4.7,2.8-20,13.8-20,39.6c0,3.6,2.9,6.5,6.5,6.5c5.8,0,10.5,4.7,10.5,10.5s-4.7,10.5-10.5,10.5c-3.6,0-6.5,2.9-6.5,6.5
													c0,3.6,2.9,6.5,6.5,6.5c5.8,0,10.5,4.7,10.5,10.5s-4.7,10.5-10.5,10.5c-3.6,0-6.5,2.9-6.5,6.5c0,3.6,2.9,6.5,6.5,6.5
													c5.8,0,10.5,4.7,10.5,10.5c0,6-4.5,10.5-10.5,10.5h-85.3c-3.6,0-6.5,2.9-6.5,6.5V486c0,13,10.6,23.6,23.6,23.6h17.1
													c13,0,23.6-10.6,23.6-23.6v-8.5v-2h2h25.6c13.2,0,23.6-10.4,23.6-23.6c0-5.8-2.1-11.3-6-15.8l-1.2-1.3l1.2-1.3
													c3.9-4.2,6-9.8,6-15.8c0-5.8-2.1-11.3-6-15.8l-1.2-1.3l1.2-1.3c3.9-4.2,6-9.8,6-15.8c0-9.7-6.1-18.5-15.2-22l-1.5-0.6l0.3-1.6
													c2.2-13.7,10.3-19.6,12.7-21.1l0.1-0.1l0.1-0.1c0.2-0.1,0.5-0.3,0.6-0.3l0.1-0.1l0.1-0.1C396.7,294.7,424.7,241.5,424.7,170.1z
													 M275.1,477.9v8.5c0,5.8-4.7,10.5-10.5,10.5h-17.1c-5.8,0-10.5-4.7-10.5-10.5v-8.5v-2h2h34.1h2V477.9z"/>
                                                        <path class="st0" d="M503.5,164.1h-42.7c-3.6,0-6.5,2.9-6.5,6.5s2.9,6.5,6.5,6.5h42.7c3.6,0,6.5-2.9,6.5-6.5
													S507.1,164.1,503.5,164.1z"/>
											</g>
										</svg>
                                            </div>
                                        </div>
                                        <div class="title">Ideas & Inspiration</div>
                                        <div class="idea-number">
                                            <span>{{challenge.ideas}}</span> ideas
                                        </div>
                                    </li>
                                    <li class="progress-stage-item"
                                        :class="challenge.is_valid_challenge?challenge.ideas?'in-progress':'not-started':'completed'">
                                        <div class="icon icon-puzzle">
                                            <div class="style-empty">
                                                <svg viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;"
                                                     xml:space="preserve">
											<g>
												<path class="st0" d="M419,267.1v5.5c0.1,0.8,0.4,1.4,0.9,1.9c6.3,9,8.9,20,7.2,31c-4,21-22.2,36.2-43.6,36.2c-0.2,0-0.4,0-0.6,0
													h-13.4c-0.2,0-0.4,0-0.6,0c-21.3,0-39.6-15.2-43.6-36.2c-1.7-10.8,0.9-22,7.2-31c0.4-0.5,0.8-1.2,0.9-1.9v-5.5
													c0-1.4-1.2-2.6-2.6-2.6h-66V339c0,10.9-8.8,19.7-19.7,19.7h-5.5c-4.2-0.1-8.4-1.5-11.8-4c-4.3-3-9.3-4.6-14.6-4.6
													c-1.3,0-2.7,0.1-4,0.3c-12.9,2.7-22.1,14.1-21.6,27.3v13.4c-0.4,13.2,8.8,24.8,21.6,27.3c1.4,0.2,2.8,0.3,4.1,0.3
													c5.1,0,10.2-1.6,14.5-4.6c3.4-2.6,7.5-3.9,11.8-4h5.5c10.9,0,19.7,8.8,19.7,19.7v66h188.6c23.7,0,42.9-19.2,42.9-42.9V264.6h-74.5
													C420.1,264.6,419,265.8,419,267.1z"/>
                                                <path class="st0" d="M84.7,244.9v-5.5c-0.1-0.8-0.4-1.4-0.9-1.9c-6.4-9-9-20-7.3-31c3.9-21,22.2-36.2,43.6-36.2c0.2,0,0.4,0,0.6,0
													h13.3c0.2,0,0.4,0,0.6,0c21.3,0,39.6,15.2,43.6,36.2c1.7,10.8-0.9,22-7.2,31c-0.4,0.5-0.7,1.2-0.9,1.9v5.5c0,1.4,1.2,2.6,2.6,2.6
													h74.6v-66c0-10.9,8.8-19.7,19.7-19.7h5.5c4.2,0.1,8.4,1.5,11.8,4c4.3,3,9.3,4.6,14.6,4.6c1.3,0,2.7-0.1,4-0.3
													c12.9-2.7,22.1-14.1,21.6-27.3v-13.4c0.4-13.1-8.8-24.6-21.6-27.2c-1.4-0.2-2.8-0.3-4.1-0.3c-5.1,0-10.2,1.6-14.5,4.6
													c-3.4,2.6-7.5,3.9-11.8,4h-5.5c-10.9,0-19.7-8.8-19.7-19.7V16H58.9C35.2,16,16,35.2,16,58.9v188.6h66.1
													C83.5,247.4,84.7,246.2,84.7,244.9z M50.3,178.9H33.1V84.6h17.1V178.9z M50.3,67.4H33.1V50.3h17.1V67.4z"/>
                                                <path class="st0" d="M244.8,427.3h-5.5c-0.8,0.1-1.4,0.4-1.9,0.9c-7.2,5-15.6,7.7-24.3,7.7c-2.2,0-4.4-0.2-6.6-0.5
													c-21.2-4-36.5-22.6-36.2-44.2v-13.4c-0.3-21.6,15-40.3,36.2-44.2c2.1-0.3,4.3-0.5,6.5-0.5c6,0,11.9,1.3,17.4,3.8
													c2.6,1.2,4.9,2.5,7.2,4.1c0.5,0.4,1.2,0.8,1.9,0.9h5.5c1.4,0,2.6-1.2,2.6-2.6v-74.6h-74.6c-10.9,0-19.7-8.8-19.7-19.7v-5.5
													c0.1-4.2,1.5-8.4,4-11.8c3.8-5.4,5.4-12,4.3-18.5c-2.6-12.5-13.6-21.6-26.5-21.6c-0.3,0-0.5,0-0.9,0h-13.3c-0.2,0-0.4,0-0.6,0
													c-12.9,0-24.1,9-26.7,21.8c-1.1,6.5,0.4,13.2,4.3,18.5c2.6,3.4,3.9,7.5,4,11.8v5.5c0,10.9-8.8,19.7-19.7,19.7H16v188.6
													c0,23.7,19.2,42.9,42.9,42.9h188.5v-66.1C247.3,428.5,246.1,427.3,244.8,427.3z"/>
                                                <path class="st1" d="M504.6,249.6h-83.1c-9.6,0-17.6,7.9-17.6,17.6v5.5c0.1,3.9,1.3,7.5,3.5,10.5c4.2,5.9,5.9,13,4.7,20.1l0,0l0,0
													c-2.7,13.5-14.7,23.4-28.5,23.4c-0.3,0-0.6,0-1,0h-13.3c-0.3,0-0.6,0-1,0c-13.7,0-25.7-9.9-28.5-23.4l0,0l0,0
													c-1.2-7.1,0.5-14.1,4.6-20.1c2.2-3.1,3.4-6.9,3.5-10.6V267c0-9.6-7.9-17.6-17.6-17.6h-65.9h-2.1v-2.1v-66c0-2.6,2.1-4.7,4.7-4.7
													h5.5h0.1h0.1c1.1,0.1,2,0.5,2.9,1.3c6.7,4.7,14.8,7.3,23,7.3c2,0,4.2-0.2,6.2-0.5c20.2-3.8,34.7-21.5,34.4-42.1v-13.4
													c0.3-20.7-14.1-38.4-34.4-42.1c-2-0.3-4.2-0.5-6.3-0.5c-8.3,0-16.3,2.5-23,7.3c-0.9,0.6-1.8,1.1-2.9,1.3h-0.1h-0.1H267
													c-2.6,0-4.7-2.1-4.7-4.7V7.4c0-3.5-2.9-6.4-6.4-6.4h-197C26.9,1,1,26.9,1,58.9v394.3C1,485.1,26.9,511,58.9,511h394.3
													c31.9,0,57.9-25.9,57.9-57.9V256C511,252.5,508.1,249.6,504.6,249.6z M13.9,247.4V58.9c0-24.9,20.1-45,45-45h188.6h2.1V16v74.6
													c0,9.6,7.9,17.6,17.6,17.6h5.5c3.9-0.1,7.5-1.3,10.5-3.5c4.6-3.3,10-5,15.8-5c1.5,0,3,0.1,4.5,0.3l0,0l0,0c6.8,1.4,12.8,5,17,10.4
													c4.3,5.4,6.5,12.1,6.3,19v13.3c0.4,14.1-9.3,26.6-23.4,29.5l0,0l0,0c-1.4,0.2-2.9,0.3-4.4,0.3c-5.7,0-11-1.7-15.8-5
													c-3.1-2.2-6.9-3.4-10.6-3.5h-5.5c-9.6,0-17.6,7.9-17.6,17.6v66.1v2.1h-2.1h-74.6c-2.6,0-4.7-2.1-4.7-4.7v-5.5v-0.1v-0.1
													c0.1-1.1,0.5-2,1.3-2.9c5.9-8.5,8.4-19.2,6.8-29.4c-3.8-19.9-21.2-34.4-41.5-34.4c-0.2,0-0.4,0-0.6,0h-13.3c-0.2,0-0.4,0-0.6,0
													c-20.4,0-37.8,14.5-41.5,34.5c-1.6,10.4,0.9,20.8,6.9,29.3c0.6,0.9,1.1,1.8,1.3,2.9v0.1v0.1v5.5c0,2.6-2.1,4.7-4.7,4.7H16h-2.1
													V247.4z M249.5,496v2.1h-2.1H58.9c-24.9,0-45-20.1-45-45V264.6v-2.1H16h66c9.6,0,17.6-7.9,17.6-17.6v-5.5
													c-0.1-3.9-1.3-7.5-3.5-10.5c-4.2-5.9-5.9-13-4.7-20.1l0,0l0,0c2.7-13.6,14.8-23.5,28.7-23.5c0.2,0,0.4,0,0.7,0H134c0.3,0,0.6,0,1,0
													c13.7,0,25.7,9.9,28.5,23.4l0,0l0,0c1.2,7.1-0.5,14.1-4.6,20.1c-2.2,3.1-3.4,6.9-3.5,10.6v5.5c0,9.6,7.9,17.6,17.6,17.6h74.6h2.1
													v2.1v74.6c0,2.6-2.1,4.7-4.7,4.7h-5.5h-0.1h-0.1c-1.1-0.1-2-0.5-2.9-1.3c-1.9-1.4-4.1-2.6-6.8-3.9c-5.2-2.4-10.8-3.5-16.5-3.5
													c-2,0-4.1,0.2-6.1,0.4c-20.2,3.8-34.7,21.5-34.4,42.1v13.4c-0.3,20.7,14.1,38.4,34.4,42.1c2,0.3,4.2,0.5,6.3,0.5
													c8.2,0,16.3-2.5,23-7.3c0.9-0.6,1.8-1.1,2.9-1.3h0.1h0.1h5.5c2.6,0,4.7,2.1,4.7,4.7V496H249.5z M498.1,264.6v188.6
													c0,24.9-20.1,45-45,45H264.6h-2.1V496v-66c0-9.6-7.9-17.6-17.6-17.6h-5.5c-3.9,0.1-7.5,1.3-10.5,3.5c-4.6,3.3-10,5-15.8,5
													c-1.5,0-3-0.1-4.5-0.3l0,0l0,0c-14-2.8-23.8-15.2-23.4-29.5v-13.3c-0.4-14.1,9.3-26.6,23.4-29.5l0,0l0,0c1.4-0.2,2.9-0.3,4.4-0.3
													c5.7,0,11,1.7,15.8,5c3.1,2.2,6.9,3.4,10.6,3.5h5.5c9.6,0,17.6-7.9,17.6-17.6v-74.6v-2.1h2.1h66c2.6,0,4.7,2.1,4.7,4.7v5.5v0.1v0.1
													c-0.1,1.1-0.5,2-1.3,2.9c-5.9,8.5-8.4,19.2-6.8,29.4c3.8,19.9,21.2,34.4,41.5,34.4c0.2,0,0.4,0,0.6,0h13.4c0.2,0,0.4,0,0.6,0
													c20.2,0,37.7-14.5,41.5-34.4c1.6-10.4-0.8-20.8-6.7-29.4c-0.6-0.9-1.1-1.8-1.3-2.9v-0.1v-0.1v-5.5c0-2.6,2.1-4.7,4.7-4.7H496h2.1
													V264.6z"/>
                                                <rect x="35.3" y="52.4" class="st1" width="12.9" height="12.9"/>
                                                <rect x="35.3" y="86.7" class="st1" width="12.9" height="90"/>
											</g>
										</svg>
                                            </div>
                                            <div class="style-filled">
                                                <svg viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;"
                                                     xml:space="preserve">
											<g>
												<path class="st0" d="M5.1,55.8C5.1,89.2,5.1,55.8,5.1,55.8L4.6,458.8c0,0,0.4,39.6,34.7,42.9s410.4,0,410.4,0s47.1,1.1,51.4-41.8
													c4.3-42.9,0-207,0-207h-87.9c0,0-11.8,25.9,3.2,43.1s-19.3,40.7-55.7,34.3c0,0-17.5-7.8-24.1-19.3c-7.7-13.4-5.9-31.5-5.9-31.5
													s11.1-17.9,4.3-26.5h-81.4v-82.3c0,0,11.3-0.6,34.3,5.1c0,0,41.5,2.8,41.8-37.3s-30-49.3-30-49.3s-32.1,15-39.6,9.6
													c0,0-6.4-0.3-6.4-17.4s0-76.9,0-76.9H47.9C47.9,4.5,5.1,17,5.1,55.8z"/>
                                                <g>
													<path class="st1" d="M419,267.1v5.5c0.1,0.8,0.4,1.4,0.9,1.9c6.3,9,8.9,20,7.2,31c-4,21-22.2,36.2-43.6,36.2c-0.2,0-0.4,0-0.6,0
														h-13.4c-0.2,0-0.4,0-0.6,0c-21.3,0-39.6-15.2-43.6-36.2c-1.7-10.8,0.9-22,7.2-31c0.4-0.5,0.8-1.2,0.9-1.9v-5.5
														c0-1.4-1.2-2.6-2.6-2.6h-66V339c0,10.9-8.8,19.7-19.7,19.7h-5.5c-4.2-0.1-8.4-1.5-11.8-4c-4.3-3-9.3-4.6-14.6-4.6
														c-1.3,0-2.7,0.1-4,0.3c-12.9,2.7-22.1,14.1-21.6,27.3v13.4c-0.4,13.2,8.8,24.8,21.6,27.3c1.4,0.2,2.8,0.3,4.1,0.3
														c5.1,0,10.2-1.6,14.5-4.6c3.4-2.6,7.5-3.9,11.8-4h5.5c10.9,0,19.7,8.8,19.7,19.7v66h188.6c23.7,0,42.9-19.2,42.9-42.9V264.6h-74.5
														C420.1,264.6,419,265.8,419,267.1z"/>
                                                    <path class="st1" d="M84.7,244.9v-5.5c-0.1-0.8-0.4-1.4-0.9-1.9c-6.4-9-9-20-7.3-31c3.9-21,22.2-36.2,43.6-36.2c0.2,0,0.4,0,0.6,0
														h13.3c0.2,0,0.4,0,0.6,0c21.3,0,39.6,15.2,43.6,36.2c1.7,10.8-0.9,22-7.2,31c-0.4,0.5-0.7,1.2-0.9,1.9v5.5c0,1.4,1.2,2.6,2.6,2.6
														h74.6v-66c0-10.9,8.8-19.7,19.7-19.7h5.5c4.2,0.1,8.4,1.5,11.8,4c4.3,3,9.3,4.6,14.6,4.6c1.3,0,2.7-0.1,4-0.3
														c12.9-2.7,22.1-14.1,21.6-27.3v-13.4c0.4-13.1-8.8-24.6-21.6-27.2c-1.4-0.2-2.8-0.3-4.1-0.3c-5.1,0-10.2,1.6-14.5,4.6
														c-3.4,2.6-7.5,3.9-11.8,4h-5.5c-10.9,0-19.7-8.8-19.7-19.7V16H58.9C35.2,16,16,35.2,16,58.9v188.6h66.1
														C83.5,247.4,84.7,246.2,84.7,244.9z M50.3,178.9H33.1V84.6h17.1V178.9z M50.3,67.4H33.1V50.3h17.1V67.4z"/>
                                                    <path class="st1" d="M244.8,427.3h-5.5c-0.8,0.1-1.4,0.4-1.9,0.9c-7.2,5-15.6,7.7-24.3,7.7c-2.2,0-4.4-0.2-6.6-0.5
														c-21.2-4-36.5-22.6-36.2-44.2v-13.4c-0.3-21.6,15-40.3,36.2-44.2c2.1-0.3,4.3-0.5,6.5-0.5c6,0,11.9,1.3,17.4,3.8
														c2.6,1.2,4.9,2.5,7.2,4.1c0.5,0.4,1.2,0.8,1.9,0.9h5.5c1.4,0,2.6-1.2,2.6-2.6v-74.6h-74.6c-10.9,0-19.7-8.8-19.7-19.7v-5.5
														c0.1-4.2,1.5-8.4,4-11.8c3.8-5.4,5.4-12,4.3-18.5c-2.6-12.5-13.6-21.6-26.5-21.6c-0.3,0-0.5,0-0.9,0h-13.3c-0.2,0-0.4,0-0.6,0
														c-12.9,0-24.1,9-26.7,21.8c-1.1,6.5,0.4,13.2,4.3,18.5c2.6,3.4,3.9,7.5,4,11.8v5.5c0,10.9-8.8,19.7-19.7,19.7H16v188.6
														c0,23.7,19.2,42.9,42.9,42.9h188.5v-66.1C247.3,428.5,246.1,427.3,244.8,427.3z"/>
                                                    <path class="st2" d="M504.6,249.6h-83.1c-9.6,0-17.6,7.9-17.6,17.6v5.5c0.1,3.9,1.3,7.5,3.5,10.5c4.2,5.9,5.9,13,4.7,20.1l0,0l0,0
														c-2.7,13.5-14.7,23.4-28.5,23.4c-0.3,0-0.6,0-1,0h-13.3c-0.3,0-0.6,0-1,0c-13.7,0-25.7-9.9-28.5-23.4l0,0l0,0
														c-1.2-7.1,0.5-14.1,4.6-20.1c2.2-3.1,3.4-6.9,3.5-10.6V267c0-9.6-7.9-17.6-17.6-17.6h-65.9h-2.1v-2.1v-66c0-2.6,2.1-4.7,4.7-4.7
														h5.5h0.1h0.1c1.1,0.1,2,0.5,2.9,1.3c6.7,4.7,14.8,7.3,23,7.3c2,0,4.2-0.2,6.2-0.5c20.2-3.8,34.7-21.5,34.4-42.1v-13.4
														c0.3-20.7-14.1-38.4-34.4-42.1c-2-0.3-4.2-0.5-6.3-0.5c-8.3,0-16.3,2.5-23,7.3c-0.9,0.6-1.8,1.1-2.9,1.3h-0.1h-0.1H267
														c-2.6,0-4.7-2.1-4.7-4.7V7.4c0-3.5-2.9-6.4-6.4-6.4h-197C26.9,1,1,26.9,1,58.9v394.3C1,485.1,26.9,511,58.9,511h394.3
														c31.9,0,57.9-25.9,57.9-57.9V256C511,252.5,508.1,249.6,504.6,249.6z M13.9,247.4V58.9c0-24.9,20.1-45,45-45h188.6h2.1V16v74.6
														c0,9.6,7.9,17.6,17.6,17.6h5.5c3.9-0.1,7.5-1.3,10.5-3.5c4.6-3.3,10-5,15.8-5c1.5,0,3,0.1,4.5,0.3l0,0l0,0c6.8,1.4,12.8,5,17,10.4
														c4.3,5.4,6.5,12.1,6.3,19v13.3c0.4,14.1-9.3,26.6-23.4,29.5l0,0l0,0c-1.4,0.2-2.9,0.3-4.4,0.3c-5.7,0-11-1.7-15.8-5
														c-3.1-2.2-6.9-3.4-10.6-3.5h-5.5c-9.6,0-17.6,7.9-17.6,17.6v66.1v2.1h-2.1h-74.6c-2.6,0-4.7-2.1-4.7-4.7v-5.5v-0.1v-0.1
														c0.1-1.1,0.5-2,1.3-2.9c5.9-8.5,8.4-19.2,6.8-29.4c-3.8-19.9-21.2-34.4-41.5-34.4c-0.2,0-0.4,0-0.6,0h-13.3c-0.2,0-0.4,0-0.6,0
														c-20.4,0-37.8,14.5-41.5,34.5c-1.6,10.4,0.9,20.8,6.9,29.2c0.6,0.9,1.1,1.8,1.3,2.9v0.1v0.1v5.5c0,2.6-2.1,4.7-4.7,4.7H16h-2.1
														V247.4z M249.5,496v2.1h-2.1H58.9c-24.9,0-45-20.1-45-45V264.6v-2.1H16h66c9.6,0,17.6-7.9,17.6-17.6v-5.5
														c-0.1-3.9-1.3-7.5-3.5-10.5c-4.2-5.9-5.9-13-4.7-20.1l0,0l0,0c2.7-13.6,14.8-23.5,28.7-23.5c0.2,0,0.4,0,0.7,0H134
														c0.3,0,0.6,0,1,0c13.7,0,25.7,9.9,28.5,23.4l0,0l0,0c1.2,7.1-0.5,14.1-4.6,20.1c-2.2,3.1-3.4,6.9-3.5,10.6v5.5
														c0,9.6,7.9,17.6,17.6,17.6h74.6h2.1v2.1v74.6c0,2.6-2.1,4.7-4.7,4.7h-5.5h-0.1h-0.1c-1.1-0.1-2-0.5-2.9-1.3
														c-1.9-1.4-4.1-2.6-6.8-3.9c-5.2-2.4-10.8-3.5-16.5-3.5c-2,0-4.1,0.2-6.1,0.4c-20.2,3.8-34.7,21.5-34.4,42.1v13.4
														c-0.3,20.7,14.1,38.4,34.4,42.1c2,0.3,4.2,0.5,6.3,0.5c8.2,0,16.3-2.5,23-7.3c0.9-0.6,1.8-1.1,2.9-1.3h0.1h0.1h5.5
														c2.6,0,4.7,2.1,4.7,4.7V496H249.5z M498.1,264.6v188.6c0,24.9-20.1,45-45,45H264.6h-2.1V496v-66c0-9.6-7.9-17.6-17.6-17.6h-5.5
														c-3.9,0.1-7.5,1.3-10.5,3.5c-4.6,3.3-10,5-15.8,5c-1.5,0-3-0.1-4.5-0.3l0,0l0,0c-14-2.8-23.8-15.2-23.4-29.5v-13.3
														c-0.4-14.1,9.3-26.6,23.4-29.5l0,0l0,0c1.4-0.2,2.9-0.3,4.4-0.3c5.7,0,11,1.7,15.8,5c3.1,2.2,6.9,3.4,10.6,3.5h5.5
														c9.6,0,17.6-7.9,17.6-17.6v-74.6v-2.1h2.1h66c2.6,0,4.7,2.1,4.7,4.7v5.5v0.1v0.1c-0.1,1.1-0.5,2-1.3,2.9
														c-5.9,8.5-8.4,19.2-6.8,29.4c3.8,19.9,21.2,34.4,41.5,34.4c0.2,0,0.4,0,0.6,0h13.4c0.2,0,0.4,0,0.6,0c20.2,0,37.7-14.5,41.5-34.4
														c1.6-10.4-0.8-20.8-6.7-29.4c-0.6-0.9-1.1-1.8-1.3-2.9v-0.1v-0.1v-5.5c0-2.6,2.1-4.7,4.7-4.7H496h2.1V264.6z"/>
                                                    <rect x="35.3" y="52.4" class="st2" width="12.9" height="12.9"/>
                                                    <rect x="35.3" y="86.7" class="st2" width="12.9" height="90"/>
												</g>
											</g>
										</svg>
                                            </div>
                                        </div>
                                        <div class="title">Game Time</div>
                                        <div class="idea-number">
                                            <span>{{challenge.game_time}}</span> ideas
                                        </div>
                                    </li>
                                    <li class="progress-stage-item not-started"
                                        :class="challenge.finalized?'in-progress':'not-started'">
                                        <div class="icon icon-podium">
                                            <div class="style-empty">
                                                <div class="bg">
                                                    <svg viewBox="0 0 635 760.2"
                                                         style="enable-background:new 0 0 635 760.2;"
                                                         xml:space="preserve">
												<g>
													<defs>
														<rect id="SVGID_1_" x="-141.2" y="-193" width="832.5"
                                                              height="374.7"/>
													</defs>
                                                    <clipPath id="SVGID_2_">
														<use xlink:href="#SVGID_1_" style="overflow:visible;"/>
													</clipPath>
                                                    <circle class="st0" cx="316.3" cy="383" r="368.2"/>
												</g>
                                                        <g>
													<defs>
														<rect id="SVGID_3_" x="-141.2" y="590.1" width="832.5"
                                                              height="386"/>
													</defs>
                                                            <clipPath id="SVGID_4_">
														<use xlink:href="#SVGID_3_" style="overflow:visible;"/>
													</clipPath>
                                                            <circle class="st1" cx="318.3" cy="383" r="368.2"/>
												</g>
											</svg>
                                                </div>
                                                <svg viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;"
                                                     xml:space="preserve">
											<g>
												<circle class="st0" cx="216" cy="459" r="6"/>
                                                <path class="st0" d="M236,285h10h4v4v60v4h-4h-10c-3.3,0-6,2.7-6,6s2.7,6,6,6h40c3.3,0,6-2.7,6-6s-2.7-6-6-6h-10h-4v-4v-70
													c0-3.3-2.7-6-6-6h-20c-3.3,0-6,2.7-6,6S232.7,285,236,285z"/>
                                                <path class="st0" d="M73,445h40c3.3,0,6-2.7,6-6s-2.7-6-6-6H83h-4v-4v-20v-4h4h30c3.3,0,6-2.7,6-6v-40c0-3.3-2.7-6-6-6H73
													c-3.3,0-6,2.7-6,6s2.7,6,6,6h30h4v4v20v4h-4H73c-3.3,0-6,2.7-6,6v40C67,442.3,69.7,445,73,445z"/>
                                                <path class="st0" d="M399,425h30h4v4v20v4h-4h-30c-3.3,0-6,2.7-6,6s2.7,6,6,6h40c3.3,0,6-2.7,6-6v-80c0-3.3-2.7-6-6-6h-40
													c-3.3,0-6,2.7-6,6s2.7,6,6,6h30h4v4v20v4h-4h-30c-3.3,0-6,2.7-6,6S395.7,425,399,425z"/>
                                                <path class="st0" d="M502,333H346h-4v-4v-93c0-3.3-2.7-6-6-6H176c-3.3,0-6,2.7-6,6v53v4h-4H10c-3.3,0-6,2.7-6,6v203
													c0,3.3,2.7,6,6,6h166h160h166c3.3,0,6-2.7,6-6V339C508,335.7,505.3,333,502,333z M170,309v183v4h-4H20h-4v-4V309v-4h4h146h4V309z
													 M330,246v246v4h-4H186h-4v-4V246v-4h4h140h4V246z M496,349v143v4h-4H346h-4v-4V349v-4h4h146h4V349z"/>
                                                <path class="st0" d="M161.2,83.7l41.4,40.3l1.5,1.5l-0.3,2.1l-9.8,59.9c-0.4,2.2,0.6,4.5,2.4,5.8c1,0.7,2.3,1.1,3.5,1.1
													c1,0,1.9-0.2,2.8-0.7l51.1-26.9l1.9-1l1.9,1l51.1,26.9c0.8,0.4,1.7,0.6,2.8,0.6c1.3,0,2.4-0.4,3.4-1.1l0.1,0l0.1,0
													c1.8-1.3,2.7-3.6,2.4-5.8l-9.8-59.9l-0.3-2.1l1.5-1.5L350,83.5c1.6-1.5,2.1-3.9,1.5-6.1c-0.7-2.2-2.6-3.8-4.8-4.1l0,0l0,0
													l-56.9-8.3l-2.1-0.3l-0.9-2L261.1,7.5c-1-2.1-3.1-3.5-5.5-3.5c-2.3,0-4.4,1.3-5.5,3.5l-25.6,55.3l-0.9,2l-2.1,0.3l-56.9,8.3l0,0
													l0,0c-2.2,0.3-4.1,1.9-4.8,4.1C159,79.6,159.6,82,161.2,83.7z M186.3,82.3l42.2-6.1c2-0.3,3.7-1.6,4.5-3.4l18.8-40.6l3.6-7.8
													l3.6,7.8l18.8,40.6c0.8,1.9,2.5,3.1,4.6,3.4l42.2,6.1l8,1.2l-5.8,5.7L296.5,119c-1.4,1.4-2.1,3.4-1.7,5.3l7.4,45.2l1.3,7.9
													l-7.1-3.8l-37.9-20c-0.8-0.4-1.8-0.7-2.8-0.7s-2,0.2-2.8,0.7l-38,20l-7.1,3.7l1.3-7.9l7.4-45.2c0.3-1.9-0.4-3.9-1.8-5.3l-30.6-29.8
													l-5.8-5.7L186.3,82.3z"/>
                                                <path class="st0"
                                                      d="M296,453h-40c-3.3,0-6,2.7-6,6s2.7,6,6,6h40c3.3,0,6-2.7,6-6S299.3,453,296,453z"/>
											</g>
										</svg>
                                            </div>
                                            <div class="style-filled">
                                                <div class="bg">
                                                    <svg viewBox="0 0 635 760.2"
                                                         style="enable-background:new 0 0 635 760.2;"
                                                         xml:space="preserve">
												<g>
													<defs>
														<rect id="SVGID_1_" x="-141.2" y="-193" width="832.5"
                                                              height="374.7"/>
													</defs>
                                                    <clipPath id="SVGID_2_">
														<use xlink:href="#SVGID_1_" style="overflow:visible;"/>
													</clipPath>
                                                    <circle class="st0" cx="316.3" cy="383" r="368.2"/>
												</g>
                                                        <g>
													<defs>
														<rect id="SVGID_3_" x="-141.2" y="590.1" width="832.5"
                                                              height="386"/>
													</defs>
                                                            <clipPath id="SVGID_4_">
														<use xlink:href="#SVGID_3_" style="overflow:visible;"/>
													</clipPath>
                                                            <circle class="st1" cx="318.3" cy="383" r="368.2"/>
												</g>
											</svg>
                                                </div>
                                                <svg viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;"
                                                     xml:space="preserve">
											<g id="XMLID_2_">
												<g>
													<path class="st0" d="M334.7,82.8L299.6,117c-2.6,2.6-3.9,6.4-3.3,10.1l8.5,51.8l-43.4-22.9c-3.3-1.7-7.3-1.7-10.7,0l-43.5,22.9
														l8.5-51.8c0.6-3.7-0.6-7.4-3.3-10.1l-35.1-34.1l48.3-7c3.8-0.6,7.1-3,8.7-6.5l21.5-46.5l21.5,46.5c1.6,3.6,4.9,6,8.7,6.5
														L334.7,82.8z"/>
												</g>
											</g>
                                                    <g>
												<g id="XMLID_1_">
													<g>
														<rect x="340" y="345" class="st0" width="158.3" height="154.8"/>
                                                        <rect x="178.3" y="238" class="st0" width="154.4"
                                                              height="261.8"/>
                                                        <rect x="14" y="305" class="st0" width="155.4" height="194.8"/>
													</g>
												</g>
											</g>
                                                    <g>
												<circle class="st1" cx="216" cy="459" r="6"/>
                                                        <path class="st1" d="M236,285h10h4v4v60v4h-4h-10c-3.3,0-6,2.7-6,6s2.7,6,6,6h40c3.3,0,6-2.7,6-6s-2.7-6-6-6h-10h-4v-4v-70
													c0-3.3-2.7-6-6-6h-20c-3.3,0-6,2.7-6,6S232.7,285,236,285z"/>
                                                        <path class="st1" d="M73,445h40c3.3,0,6-2.7,6-6s-2.7-6-6-6H83h-4v-4v-20v-4h4h30c3.3,0,6-2.7,6-6v-40c0-3.3-2.7-6-6-6H73
													c-3.3,0-6,2.7-6,6s2.7,6,6,6h30h4v4v20v4h-4H73c-3.3,0-6,2.7-6,6v40C67,442.3,69.7,445,73,445z"/>
                                                        <path class="st1" d="M399,425h30h4v4v20v4h-4h-30c-3.3,0-6,2.7-6,6s2.7,6,6,6h40c3.3,0,6-2.7,6-6v-80c0-3.3-2.7-6-6-6h-40
													c-3.3,0-6,2.7-6,6s2.7,6,6,6h30h4v4v20v4h-4h-30c-3.3,0-6,2.7-6,6S395.7,425,399,425z"/>
                                                        <path class="st1" d="M502,333H346h-4v-4v-93c0-3.3-2.7-6-6-6H176c-3.3,0-6,2.7-6,6v53v4h-4H10c-3.3,0-6,2.7-6,6v203
													c0,3.3,2.7,6,6,6h166h160h166c3.3,0,6-2.7,6-6V339C508,335.7,505.3,333,502,333z M170,309v183v4h-4H20h-4v-4V309v-4h4h146h4V309z
													 M330,246v246v4h-4H186h-4v-4V246v-4h4h140h4V246z M496,349v143v4h-4H346h-4v-4V349v-4h4h146h4V349z"/>
                                                        <path class="st1" d="M161.2,83.7l41.4,40.3l1.5,1.5l-0.3,2.1l-9.8,59.9c-0.4,2.2,0.6,4.5,2.4,5.8c1,0.7,2.3,1.1,3.5,1.1
													c1,0,1.9-0.2,2.8-0.7l51.1-26.9l1.9-1l1.9,1l51.1,26.9c0.8,0.4,1.7,0.6,2.8,0.6c1.3,0,2.4-0.4,3.4-1.1l0.1,0l0.1,0
													c1.8-1.3,2.7-3.6,2.4-5.8l-9.8-59.9l-0.3-2.1l1.5-1.5L350,83.5c1.6-1.5,2.1-3.9,1.5-6.1c-0.7-2.2-2.6-3.8-4.8-4.1l0,0l0,0
													l-56.9-8.3l-2.1-0.3l-0.9-2L261.1,7.5c-1-2.1-3.1-3.5-5.5-3.5c-2.3,0-4.4,1.3-5.5,3.5l-25.6,55.3l-0.9,2l-2.1,0.3l-56.9,8.3l0,0
													l0,0c-2.2,0.3-4.1,1.9-4.8,4.1C159,79.6,159.6,82,161.2,83.7z M186.3,82.3l42.2-6.1c2-0.3,3.7-1.6,4.5-3.4l18.8-40.6l3.6-7.8
													l3.6,7.8l18.8,40.6c0.8,1.9,2.5,3.1,4.6,3.4l42.2,6.1l8,1.2l-5.8,5.7L296.5,119c-1.4,1.4-2.1,3.4-1.7,5.3l7.4,45.2l1.3,7.9
													l-7.1-3.8l-37.9-20c-0.8-0.4-1.8-0.7-2.8-0.7s-2,0.2-2.8,0.7l-38,20l-7.1,3.7l1.3-7.9l7.4-45.2c0.3-1.9-0.4-3.9-1.8-5.3l-30.6-29.8
													l-5.8-5.7L186.3,82.3z"/>
                                                        <path class="st1"
                                                              d="M296,453h-40c-3.3,0-6,2.7-6,6s2.7,6,6,6h40c3.3,0,6-2.7,6-6S299.3,453,296,453z"/>
											</g>
										</svg>
                                            </div>
                                        </div>
                                        <div class="title">Finalists</div>
                                        <div class="idea-number">
                                            <span>{{challenge.finalized}}</span> ideas
                                        </div>
                                    </li>
                                    <li class="progress-stage-item not-started"  :class="challenge.finalized?'in-progress':'not-started'">
                                        <div class="icon icon-winner">
                                            <label>Week</label>
                                            <span>4</span>
                                        </div>
                                        <div class="title">Winner's Circle</div>
                                        <div class="idea-number">
                                        </div>
                                    </li>
                                </ul>
                            </div>
                            <!--                            <img src="assets/img/eureka/milestone.png">-->
                        </div>

                        <div class="author-date">
                            <div class="author-thumb">
                                <img :src="challenge.user.image" :alt="challenge.user.name" class="avatar">
                            </div>
                            by
                            <a class="h6 post__author-name fn" href="#">{{challenge.user.name}}</a>
                            <div class="post__date">
                                <time class="published" datetime="2017-03-24T18:18">
                                    {{challenge.created_at}}
                                </time>
                            </div>
                            <div class="post__location">Malaysia</div>
                        </div>

                        <div class="post-thumb">
                            <img :src="challenge.image" :alt="challenge.user.name" class="post-thumb">
                        </div>

                        <div class="post-content-wrap">

                            <div class="control-block-button post-control-button">

                                <a href="#" class="post-add-icon inline-items">
                                    <svg class="olymp-speech-balloon-icon">
                                        <use
                                            xlink:href="assets/svg-icons/sprites/icons.svg#olymp-speech-balloon-icon"></use>
                                    </svg>
                                    <span>{{challenge.comments}}</span>
                                </a>


                            </div>

                            <div class="post-content">
                                {{challenge.description}}
                            </div>
                        </div>



                    </article>

                    <!-- ... end Single Post -->


                </div>

                <!-- Comments Component-->

                <Comments comment_type="challenge" :comment_type_id="selectedChallengeId"/>


                <!-- ... end Pagination -->

            </div>
<!--            <div v-for="list in lists">-->
<!--                   <h1>{{lists.title}}</h1>-->
<!--            </div>-->
<!--            <div class="col col-xl-4 col-lg-4 col-md-12 col-sm-12 col-12" v-for="(task, index) in list">-->
<!--                <aside class="blog-post-wrap">-->

<!--                    <div class="ui-block">-->

<!--                        &lt;!&ndash; Post &ndash;&gt;-->

<!--                        <article class="hentry blog-post blog-post-v3 featured-post-item">-->

<!--                            <div class="post-thumb">-->

<!--                                <a href="#" class="post-category bg-primary"></a>-->
<!--                            </div>-->

<!--                            <div class="post-content">-->

<!--                                <div class="author-date">-->
<!--                                    by-->
<!--                                    <a class="h6 post__author-name fn" href="#">{{task.name}}</a>-->
<!--                                    <div class="post__date">-->
<!--                                        <time class="published" datetime="2017-03-24T18:18">-->
<!--                                            -->
<!--                                        </time>-->
<!--                                    </div>-->
<!--                                </div>-->

<!--                                <a href="#" class="h4 post-title">{{task.title}}</a>-->

<!--                                <div class="post-additional-info inline-items">-->

<!--                                    <div class="friends-harmonic-wrap">-->
<!--                                        <ul class="friends-harmonic">-->
<!--                                            <li>-->
<!--                                                <a href="#">-->
<!--                                                    <img src="img/icon-chat26.png" alt="icon">-->
<!--                                                </a>-->
<!--                                            </li>-->
<!--                                            <li>-->
<!--                                                <a href="#">-->
<!--                                                    <img src="img/icon-chat27.png" alt="icon">-->
<!--                                                </a>-->
<!--                                            </li>-->
<!--                                            <li>-->
<!--                                                <a href="#">-->
<!--                                                    <img src="img/icon-chat2.png" alt="icon">-->
<!--                                                </a>-->
<!--                                            </li>-->
<!--                                        </ul>-->
<!--                                        <div class="names-people-likes">-->
<!--                                            206-->
<!--                                        </div>-->
<!--                                    </div>-->

<!--                                    <div class="comments-shared">-->
<!--                                        <a href="#" class="post-add-icon inline-items">-->
<!--                                            <svg class="olymp-speech-balloon-icon">-->
<!--                                                <use xlink:href="svg-icons/sprites/icons.svg#olymp-speech-balloon-icon"></use>-->
<!--                                            </svg>-->
<!--                                            <span>97</span>-->
<!--                                        </a>-->
<!--                                    </div>-->

<!--                                </div>-->
<!--                            </div>-->

<!--                        </article>-->

<!--                        &lt;!&ndash; ... end Post &ndash;&gt;-->

<!--                    </div>-->



<!--                </aside>-->
<!--            </div>-->
<!--    {{this.posts | json}}-->
            <div class="col col-xl-4 col-lg-4 col-md-12 col-sm-12 col-12" >
                <aside class="blog-post-wrap"  v-for="(item, index) in posts" :key="index">

                    <div class="ui-block">

                        <!-- Pos    t -->

                        <article class="hentry blog-post blog-post-v3 featured-post-item">

                            <div class="post-thumb">

                                <img :src="item.image" :alt="item.title">

                                <a href="#" class="post-category bg-primary">{{item.title}}</a>

                            </div>

                            <div class="post-content">

                                <div class="author-date">
                                    by
                                    <router-link
                                        :to="{ name: 'ProfileEuraka', params: { id: item.user.id, slug: item.user.slug } }"
                                        class="h6 post__author-name fn">


                                        {{item.user.name}}
                                    </router-link>
                                    <div class="post__date">
                                        <time class="published" datetime="2017-03-24T18:18">
                                            {{item.created_at}}
                                        </time>
                                    </div>
                                </div>


                                <router-link :to="{ name: 'ChallengeDetails', params: { id: item.id, slug: item.slug } }" class="h4 title">
                                    {{item.title}}
                                </router-link>

                                <div class="post-additional-info inline-items">

                                    <a href="#" class="post-add-icon inline-items">
                                        <svg class="olymp-speech-balloon-icon">
                                            <use
                                                xlink:href="assets/svg-icons/sprites/icons.svg#olymp-speech-balloon-icon"></use>
                                        </svg>
                                        <span>{{item.comments}}</span>
                                    </a>

                                    </div>

                                </div>


                        </article>

                        <!-- ... end Post -->

                    </div>



                </aside>
            </div>
        </div>
    </div>
</template>

<script>
    import Comments from './sub-components/Comments';
    export default {
        name: "ChallengeDetails",
        components: {Comments},
        data() {
            return {
                userLogin: false,
                selectedChallengeSlug: '',
                selectedChallengeId: '',
                challenge: '',
                posts:[],

            }
        },
        methods:{
            getChallenges() {

                let loader = this.$loading.show({
                    container: this.fullPage ? null : this.$refs.file,
                });
                var bodyFormData = new FormData();

                this.axios({
                    method: 'get',
                    url: 'challenges/getlist?userId='+this.recordsUserId+'&recordsType='+this.type,
                    data: bodyFormData
                })
                    .then((response) => {
                         loader.hide();

                        if (response.status==200) {
                            // console.log(response);
                            // alert(response);
                            this.posts = response.data.list;

                             console.log("sairam",this.posts);

                        }
                        else if(response.status==401)
                        {
                            console.log('in 401 response');
                            this.$store.dispatch('destroyAccess');
                            this.$toast.open({
                                message: 'Please login to continue',
                                type: 'success'
                            });
                            this.$router.push('/login');
                        }
                        else {
                            console.log('inelse boy');
                        }
                    })
                    .catch(function(response) {
                        loader.hide();
                    });
            },
        },
        mounted(){
            this.getChallenges();

        },
        created() {
            this.selectedChallengeId = this.$route.params.id;
            this.selectedChallengeSlug = this.$route.params.slug;
            this.userLogin = this.$store.getters.getLogin;
            this.userId = this.$store.getters.getUserId;
            this.getChallenges();

            let loader = this.$loading.show({
                container: this.fullPage ? null : this.$refs.file,
            });

            var bodyFormData = new FormData();
            bodyFormData.set('id', this.selectedChallengeId);
            this.axios.get(`${APP.baseUrl}/challenges/getDetails?id=${this.selectedChallengeId}`)
            // this.axios({
            //     method: 'get',
            //     url:,
            //     data: bodyFormData
            // })
                .then((response) => {
                    loader.hide();
                    if (response.status == 200) {
                        this.challenge = response.data;

                    } else if (response.status == 401) {
                        // console.log('in 401 response');
                        //   this.$store.dispatch('destroyAccess');
                        //     this.$toast.open({
                        //     message: 'Please login to continue',
                        //     type: 'success'
                        // });
                        //   this.$router.push('/login');
                    } else {

                    }
                })
                .catch(function (response) {
                    loader.hide();
                });
        },

    }
</script>

<style scoped>

</style>
